- mysql-common: improve error message
Resolves: rhbz#1904465
This commit is contained in:
parent
62d0081fd0
commit
f2758423ba
68
bz1904465-mysql-common-improve-error-message.patch
Normal file
68
bz1904465-mysql-common-improve-error-message.patch
Normal file
@ -0,0 +1,68 @@
|
|||||||
|
From fcceb714085836de9db4493b527e94d85dd72626 Mon Sep 17 00:00:00 2001
|
||||||
|
From: ut002970 <liuxingwei@uniontech.com>
|
||||||
|
Date: Wed, 6 Sep 2023 15:27:05 +0800
|
||||||
|
Subject: [PATCH 1/3] modify error message
|
||||||
|
|
||||||
|
---
|
||||||
|
heartbeat/mysql-common.sh | 2 +-
|
||||||
|
1 file changed, 1 insertion(+), 1 deletion(-)
|
||||||
|
|
||||||
|
diff --git a/heartbeat/mysql-common.sh b/heartbeat/mysql-common.sh
|
||||||
|
index 8104019b03..a93acc4c60 100755
|
||||||
|
--- a/heartbeat/mysql-common.sh
|
||||||
|
+++ b/heartbeat/mysql-common.sh
|
||||||
|
@@ -254,7 +254,7 @@ mysql_common_start()
|
||||||
|
while [ $start_wait = 1 ]; do
|
||||||
|
if ! ps $pid > /dev/null 2>&1; then
|
||||||
|
wait $pid
|
||||||
|
- ocf_exit_reason "MySQL server failed to start (pid=$pid) (rc=$?), please check your installation"
|
||||||
|
+ ocf_exit_reason "MySQL server failed to start (pid=$pid) (rc=$?), please check your installation, log message you can check $OCF_RESKEY_log"
|
||||||
|
return $OCF_ERR_GENERIC
|
||||||
|
fi
|
||||||
|
mysql_common_status info
|
||||||
|
|
||||||
|
From 8f9b344cd5b3cb96ea0f94b7ab0306da2234ac00 Mon Sep 17 00:00:00 2001
|
||||||
|
From: ut002970 <liuxingwei@uniontech.com>
|
||||||
|
Date: Wed, 6 Sep 2023 15:56:24 +0800
|
||||||
|
Subject: [PATCH 2/3] modify error message
|
||||||
|
|
||||||
|
---
|
||||||
|
heartbeat/mysql-common.sh | 2 +-
|
||||||
|
1 file changed, 1 insertion(+), 1 deletion(-)
|
||||||
|
|
||||||
|
diff --git a/heartbeat/mysql-common.sh b/heartbeat/mysql-common.sh
|
||||||
|
index a93acc4c60..d5b2286737 100755
|
||||||
|
--- a/heartbeat/mysql-common.sh
|
||||||
|
+++ b/heartbeat/mysql-common.sh
|
||||||
|
@@ -254,7 +254,7 @@ mysql_common_start()
|
||||||
|
while [ $start_wait = 1 ]; do
|
||||||
|
if ! ps $pid > /dev/null 2>&1; then
|
||||||
|
wait $pid
|
||||||
|
- ocf_exit_reason "MySQL server failed to start (pid=$pid) (rc=$?), please check your installation, log message you can check $OCF_RESKEY_log"
|
||||||
|
+ ocf_exit_reason "MySQL server failed to start (pid=$pid) (rc=$?), Check $OCF_RESKEY_log for details"
|
||||||
|
return $OCF_ERR_GENERIC
|
||||||
|
fi
|
||||||
|
mysql_common_status info
|
||||||
|
|
||||||
|
From a292b3c552bf3f2beea5f73e0d171546c0a1273c Mon Sep 17 00:00:00 2001
|
||||||
|
From: ut002970 <liuxingwei@uniontech.com>
|
||||||
|
Date: Wed, 6 Sep 2023 16:10:48 +0800
|
||||||
|
Subject: [PATCH 3/3] modify error message
|
||||||
|
|
||||||
|
---
|
||||||
|
heartbeat/mysql-common.sh | 2 +-
|
||||||
|
1 file changed, 1 insertion(+), 1 deletion(-)
|
||||||
|
|
||||||
|
diff --git a/heartbeat/mysql-common.sh b/heartbeat/mysql-common.sh
|
||||||
|
index d5b2286737..d6b4e3cdf4 100755
|
||||||
|
--- a/heartbeat/mysql-common.sh
|
||||||
|
+++ b/heartbeat/mysql-common.sh
|
||||||
|
@@ -254,7 +254,7 @@ mysql_common_start()
|
||||||
|
while [ $start_wait = 1 ]; do
|
||||||
|
if ! ps $pid > /dev/null 2>&1; then
|
||||||
|
wait $pid
|
||||||
|
- ocf_exit_reason "MySQL server failed to start (pid=$pid) (rc=$?), Check $OCF_RESKEY_log for details"
|
||||||
|
+ ocf_exit_reason "MySQL server failed to start (pid=$pid) (rc=$?). Check $OCF_RESKEY_log for details"
|
||||||
|
return $OCF_ERR_GENERIC
|
||||||
|
fi
|
||||||
|
mysql_common_status info
|
@ -69,7 +69,7 @@
|
|||||||
Name: resource-agents
|
Name: resource-agents
|
||||||
Summary: Open Source HA Reusable Cluster Resource Scripts
|
Summary: Open Source HA Reusable Cluster Resource Scripts
|
||||||
Version: 4.9.0
|
Version: 4.9.0
|
||||||
Release: 47%{?rcver:%{rcver}}%{?numcomm:.%{numcomm}}%{?alphatag:.%{alphatag}}%{?dirty:.%{dirty}}%{?dist}
|
Release: 48%{?rcver:%{rcver}}%{?numcomm:.%{numcomm}}%{?alphatag:.%{alphatag}}%{?dirty:.%{dirty}}%{?dist}
|
||||||
License: GPLv2+ and LGPLv2+
|
License: GPLv2+ and LGPLv2+
|
||||||
URL: https://github.com/ClusterLabs/resource-agents
|
URL: https://github.com/ClusterLabs/resource-agents
|
||||||
%if 0%{?fedora} || 0%{?centos_version} || 0%{?rhel}
|
%if 0%{?fedora} || 0%{?centos_version} || 0%{?rhel}
|
||||||
@ -148,6 +148,7 @@ Patch56: bz2040110-IPaddr2-IPsrcaddr-2-fix-table-parameter.patch
|
|||||||
Patch57: bz2189243-Filesystem-1-improve-stop-action.patch
|
Patch57: bz2189243-Filesystem-1-improve-stop-action.patch
|
||||||
Patch58: bz2189243-Filesystem-2-fix-incorrect-parameter-types.patch
|
Patch58: bz2189243-Filesystem-2-fix-incorrect-parameter-types.patch
|
||||||
Patch59: bz2189243-Filesystem-3-fix-signal_delay-default-value.patch
|
Patch59: bz2189243-Filesystem-3-fix-signal_delay-default-value.patch
|
||||||
|
Patch60: bz1904465-mysql-common-improve-error-message.patch
|
||||||
|
|
||||||
# bundle patches
|
# bundle patches
|
||||||
Patch1000: 7-gcp-bundled.patch
|
Patch1000: 7-gcp-bundled.patch
|
||||||
@ -327,66 +328,67 @@ databases to be managed in a cluster environment.
|
|||||||
exit 1
|
exit 1
|
||||||
%endif
|
%endif
|
||||||
%setup -q -n %{upstream_prefix}-%{upstream_version}
|
%setup -q -n %{upstream_prefix}-%{upstream_version}
|
||||||
%patch0 -p1
|
%patch -p1 -P 0
|
||||||
%patch1 -p1
|
%patch -p1 -P 1
|
||||||
%patch2 -p1
|
%patch -p1 -P 2
|
||||||
%patch3 -p1
|
%patch -p1 -P 3
|
||||||
%patch4 -p1
|
%patch -p1 -P 4
|
||||||
%patch5 -p1
|
%patch -p1 -P 5
|
||||||
%patch6 -p1
|
%patch -p1 -P 6
|
||||||
%patch7 -p1
|
%patch -p1 -P 7
|
||||||
%patch8 -p1
|
%patch -p1 -P 8
|
||||||
%patch9 -p1
|
%patch -p1 -P 9
|
||||||
%patch10 -p1
|
%patch -p1 -P 10
|
||||||
%patch11 -p1
|
%patch -p1 -P 11
|
||||||
%patch12 -p1
|
%patch -p1 -P 12
|
||||||
%patch13 -p1
|
%patch -p1 -P 13
|
||||||
%patch14 -p1
|
%patch -p1 -P 14
|
||||||
%patch15 -p1
|
%patch -p1 -P 15
|
||||||
%patch16 -p1
|
%patch -p1 -P 16
|
||||||
%patch17 -p1
|
%patch -p1 -P 17
|
||||||
%patch18 -p1
|
%patch -p1 -P 18
|
||||||
%patch19 -p1
|
%patch -p1 -P 19
|
||||||
%patch20 -p1
|
%patch -p1 -P 20
|
||||||
%patch21 -p1
|
%patch -p1 -P 21
|
||||||
%patch22 -p1
|
%patch -p1 -P 22
|
||||||
%patch23 -p1
|
%patch -p1 -P 23
|
||||||
%patch24 -p1
|
%patch -p1 -P 24
|
||||||
%patch25 -p1
|
%patch -p1 -P 25
|
||||||
%patch26 -p1
|
%patch -p1 -P 26
|
||||||
%patch27 -p1
|
%patch -p1 -P 27
|
||||||
%patch28 -p1
|
%patch -p1 -P 28
|
||||||
%patch29 -p1
|
%patch -p1 -P 29
|
||||||
%patch30 -p1
|
%patch -p1 -P 30
|
||||||
%patch31 -p1
|
%patch -p1 -P 31
|
||||||
%patch32 -p1
|
%patch -p1 -P 32
|
||||||
%patch33 -p1
|
%patch -p1 -P 33
|
||||||
%patch34 -p1
|
%patch -p1 -P 34
|
||||||
%patch35 -p1
|
%patch -p1 -P 35
|
||||||
%patch36 -p1
|
%patch -p1 -P 36
|
||||||
%patch37 -p1
|
%patch -p1 -P 37
|
||||||
%patch38 -p1
|
%patch -p1 -P 38
|
||||||
%patch39 -p1
|
%patch -p1 -P 39
|
||||||
%patch40 -p1
|
%patch -p1 -P 40
|
||||||
%patch41 -p1
|
%patch -p1 -P 41
|
||||||
%patch42 -p1
|
%patch -p1 -P 42
|
||||||
%patch43 -p1
|
%patch -p1 -P 43
|
||||||
%patch44 -p1
|
%patch -p1 -P 44
|
||||||
%patch45 -p1
|
%patch -p1 -P 45
|
||||||
%patch46 -p1
|
%patch -p1 -P 46
|
||||||
%patch47 -p1
|
%patch -p1 -P 47
|
||||||
%patch48 -p1
|
%patch -p1 -P 48
|
||||||
%patch49 -p1
|
%patch -p1 -P 49
|
||||||
%patch50 -p1
|
%patch -p1 -P 50
|
||||||
%patch51 -p1
|
%patch -p1 -P 51
|
||||||
%patch52 -p1
|
%patch -p1 -P 52
|
||||||
%patch53 -p1
|
%patch -p1 -P 53
|
||||||
%patch54 -p1
|
%patch -p1 -P 54
|
||||||
%patch55 -p1
|
%patch -p1 -P 55
|
||||||
%patch56 -p1
|
%patch -p1 -P 56
|
||||||
%patch57 -p1
|
%patch -p1 -P 57
|
||||||
%patch58 -p1
|
%patch -p1 -P 58
|
||||||
%patch59 -p1
|
%patch -p1 -P 59
|
||||||
|
%patch -p1 -P 60
|
||||||
|
|
||||||
chmod 755 heartbeat/nova-compute-wait
|
chmod 755 heartbeat/nova-compute-wait
|
||||||
chmod 755 heartbeat/NovaEvacuate
|
chmod 755 heartbeat/NovaEvacuate
|
||||||
@ -400,15 +402,15 @@ mkdir -p %{bundled_lib_dir}/aliyun
|
|||||||
%ifarch x86_64
|
%ifarch x86_64
|
||||||
tar -xzf %SOURCE1 -C %{bundled_lib_dir}/gcp
|
tar -xzf %SOURCE1 -C %{bundled_lib_dir}/gcp
|
||||||
# gcp*: append bundled-directory to search path, gcloud-ra
|
# gcp*: append bundled-directory to search path, gcloud-ra
|
||||||
%patch1000 -p1
|
%patch -p1 -P 1000
|
||||||
# replace python-rsa with python-cryptography
|
# replace python-rsa with python-cryptography
|
||||||
%patch1001 -p1
|
%patch -p1 -P 1001
|
||||||
# gcloud support info
|
# gcloud support info
|
||||||
%patch1002 -p1
|
%patch -p1 -P 1002
|
||||||
# configure: skip bundled gcp lib checks
|
# configure: skip bundled gcp lib checks
|
||||||
%patch1003 -p1 -F1
|
%patch -p1 -P 1003 -F1
|
||||||
# gcloud remove python 2 detection
|
# gcloud remove python 2 detection
|
||||||
%patch1004 -p1
|
%patch -p1 -P 1004
|
||||||
# rename gcloud
|
# rename gcloud
|
||||||
mv %{googlecloudsdk_dir}/bin/gcloud %{googlecloudsdk_dir}/bin/gcloud-ra
|
mv %{googlecloudsdk_dir}/bin/gcloud %{googlecloudsdk_dir}/bin/gcloud-ra
|
||||||
# keep googleapiclient
|
# keep googleapiclient
|
||||||
@ -515,16 +517,16 @@ mv %{bundled_lib_dir}/aliyun/%{aliyuncli}-%{aliyuncli_version} %{aliyuncli_dir}
|
|||||||
cp %{aliyuncli_dir}/README.rst %{aliyuncli}_README.rst
|
cp %{aliyuncli_dir}/README.rst %{aliyuncli}_README.rst
|
||||||
cp %{aliyuncli_dir}/LICENSE %{aliyuncli}_LICENSE
|
cp %{aliyuncli_dir}/LICENSE %{aliyuncli}_LICENSE
|
||||||
# aliyun*: use bundled libraries
|
# aliyun*: use bundled libraries
|
||||||
%patch1005 -p1
|
%patch -p1 -P 1005
|
||||||
|
|
||||||
# aliyun Python 3 fixes
|
# aliyun Python 3 fixes
|
||||||
%patch1006 -p1
|
%patch -p1 -P 1006
|
||||||
%patch1007 -p1
|
%patch -p1 -P 1007
|
||||||
|
|
||||||
# fix CVE's in python-pygments
|
# fix CVE's in python-pygments
|
||||||
pushd %{googlecloudsdk_dir}/lib/third_party
|
pushd %{googlecloudsdk_dir}/lib/third_party
|
||||||
%patch1008 -p1 -F2
|
%patch -p1 -P 1008 -F2
|
||||||
%patch1009 -p1 -F2
|
%patch -p1 -P 1009 -F2
|
||||||
popd
|
popd
|
||||||
%endif
|
%endif
|
||||||
|
|
||||||
@ -962,6 +964,11 @@ ccs_update_schema > /dev/null 2>&1 ||:
|
|||||||
%{_usr}/lib/ocf/lib/heartbeat/OCF_*.pm
|
%{_usr}/lib/ocf/lib/heartbeat/OCF_*.pm
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
|
* Wed Sep 6 2023 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.9.0-48
|
||||||
|
- mysql-common: improve error message
|
||||||
|
|
||||||
|
Resolves: rhbz#1904465
|
||||||
|
|
||||||
* Thu Jul 20 2023 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.9.0-47
|
* Thu Jul 20 2023 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.9.0-47
|
||||||
- Filesystem: improve stop-action and allow setting term/kill signals
|
- Filesystem: improve stop-action and allow setting term/kill signals
|
||||||
and signal_delay for large filesystems
|
and signal_delay for large filesystems
|
||||||
|
Loading…
Reference in New Issue
Block a user